# Function deriveEndpointKey

- deriveEndpointKey(tokenBridgeProgramId, emitterChain, emitterAddress): PublicKey

- #### Parameters

  - ##### tokenBridgeProgramId: PublicKeyInitData

  - ##### emitterChain: number

  - ##### emitterAddress: string | Uint8Array | Buffer

  #### Returns PublicKey

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/accounts/endpoint.ts:14

Generated using TypeDoc